linphone::FriendListener Class Reference

An object to handle the callbacks for Friend. More...

`#include <friend_listener.hh>`

Inheritance diagram for linphone::FriendListener:

## Public Member Functions

virtual LINPHONECXX_PUBLIC void | onPresenceReceived (const std::shared_ptr< linphone::Friend > &linphoneFriend)
| Callback used to notify a friend that it has received presence information.

## Detailed Description

An object to handle the callbacks for Friend.

## Member Function Documentation

## onPresenceReceived()

virtual LINPHONECXX_PUBLIC void linphone::FriendListener::onPresenceReceived | ( | const std::shared_ptr< linphone::Friend > & | linphoneFriend | ) |

inline virtual

Callback used to notify a friend that it has received presence information.

Parameters

  linphoneFriend | The Friend object for which the status has changed

The documentation for this class was generated from the following file:

- friend_listener.hh